Skip to Content

Approach to upgrade SAP ECC6.0 non-unicode to EHP8 Unicode.

Apr 14, 2017 at 03:03 AM


avatar image

Hi all,

I would like to confirmed the approach to upgrade our current SAP ECC6.0 to ECC6.0 EHP8.

As I know ECC6.0 EHP8 is mandatory Unicode and there is not CU&UC for ECC6.0 to EHP8.

So the option I have is :-

1) Do Unicode conversion for my ECC6.0. (One downtime).

Then upgrade ECC6.0 to ECC6.0 EHP8 (Another downtime).

2) Do Combined Upgrade & Unicode Conversion (CU&UC) from ECC6.0 to ECC6.0 EHP7.(one downtime)

Then upgrade EHP7 to EHP8 .(Another downtime).

So may i know which is the best approach?

Best Regards,


10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Ricardo Santos da Silva Dec 04, 2017 at 11:56 AM

Hello Hussin,

Take a look at SAP note 1322715 - especially, item 6.


SAP NetWeaver Release 7.50 and all products based on it (see below) will be supported with Unicode only. Upgrades of non-Unicode systems to releases higher than SAP NetWeaver 7.40 without prior Unicode conversion will not be supported.

Products based on SAP Netweaver 7.50 are

  • SAP ERP 6.0 EHP8 (see SAP Note 2171334 for details, SAP ERP 6.0 EHP8 has been released since 20.01.2016)
  • [...]

(see also SAP note 2172935) and therefore they will be supported on Unicode only. In addition, it is NOT planned to provide a combined solution (CU&UC) for doing an upgrade and a Unicode conversion for the listed products (and for all other products based on NW 7.50).


Unfortunatelly, you'll must carry out an Unicode Conversion (via SPUMG and export/import) BEFORE upgrade to EHP8.

See attached document at OSS Note above (Unicode_only_at_SAP_as_of_SAP_NetWeaver_7_5_201606), page 7

Best regards

Ricardo Silva

10 |10000 characters needed characters left characters exceeded